Kodi issue

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Kodi issue

Post by Mazda81 » Fri Nov 02, 2018 6:10 pm

Code: Select all

System:    Host: andrew-HP-Pavilion-g6-Notebook-PC Kernel: 4.15.0-38-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.6.7 (Gtk 3.18.9-1ubuntu3.3) dm: lightdm
           Distro: Linux Mint 18.3 Sylvia
When I open Kodi I get a warning message [see attachment].What do I need to do to update this? I am using Kodi version 17.6. the latest version in the repos. I have looked at the website shown but it's too complicated for me.
Attachments
Screenshot from 2018-11-02 21-38-55.png

User avatar
MrEen
Level 7
Level 7
Posts: 1976
Joined: Mon Jun 12, 2017 8:39 pm

Re: Kodi issue

Post by MrEen » Fri Nov 02, 2018 6:33 pm

I went to that URL, searched "python", and found a link to this URL with a workaround.

Be aware I have not done this and have no idea what kind of problems may arise. Wait for confirmation from someone more experienced before attempting this please.

Also, I'm not sure how you got Kodi version 17.6, as I have only 15.2 available on Mint 18.3. That may be why you need the newer python-cryptography package.

Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Re: Kodi issue

Post by Mazda81 » Fri Nov 02, 2018 6:51 pm

Thanks MrEen,
I'll take your advice and wait to see if there are any more suggestions. I think I must have downloaded version 17.6 from the Kodi website. I've been using this version for a while now and have only just started getting this message.

rickNS
Level 4
Level 4
Posts: 299
Joined: Tue Jan 25, 2011 11:59 pm

Re: Kodi issue

Post by rickNS » Fri Nov 02, 2018 9:52 pm

Maybe an easier way to fix is just upgrade to Mint 19.
The python-cryptography package is version 2.1.4 in Mint 19

I haven't upgraded myself yet, (I do have it on a persistent stick) but sooner or later...
Mint 18 mate on 2 identical Thinkpad T420's

User avatar
catweazel
Level 17
Level 17
Posts: 7770
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: Kodi issue

Post by catweazel » Fri Nov 02, 2018 10:01 pm

Mazda81 wrote:
Fri Nov 02, 2018 6:10 pm
What do I need to do to update this?
The message is clear. If you want to use that version of the application, you must upgrade your operating system. Your only other alternative is to use an older version.
¡uʍop ǝpısdn sı buıɥʇʎɹǝʌǝ os ɐıןɐɹʇsnɐ ɯoɹɟ ɯ,ı

Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Re: Kodi issue

Post by Mazda81 » Sat Nov 03, 2018 5:37 am

Thanks for the replies,
Catweazel, I’ve been using this version of Kodi for about a year & this message has only just started to appear. I’m reluctant to upgrade to LM19 as I have Windows 7 running as guest OS in Virtualbox & I don’t want to reinstall that from scratch. I may try an older version of Kodi or remove it altogether.

rickNS
Level 4
Level 4
Posts: 299
Joined: Tue Jan 25, 2011 11:59 pm

Re: Kodi issue

Post by rickNS » Sat Nov 03, 2018 9:51 am

Mazda81 wrote:
Sat Nov 03, 2018 5:37 am
Thanks for the replies,
I’m reluctant to upgrade to LM19 as I have Windows 7 running as guest OS in Virtualbox & I don’t want to reinstall that from scratch. I may try an older version of Kodi or remove it altogether.
No need to reinstall a VBox machine from scratch, they are easily exported / imported as an appliance, see,
https://www.techrepublic.com/article/ho ... ppliances/

An older version, may work, don't hold breath.
Kodi is great... when it works. lately it needs lots of work to keep it working. Corupt .kodi -> replace from backup, repos go down -> find new ones, etc.

I wonder if kodibuntu still works, or worth the time to try.
Mint 18 mate on 2 identical Thinkpad T420's

Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Re: Kodi issue

Post by Mazda81 » Sat Nov 03, 2018 10:28 am

Thanks rickNS
I'll check out the Vbox article, sounds like it might be a good option.

rickNS
Level 4
Level 4
Posts: 299
Joined: Tue Jan 25, 2011 11:59 pm

Re: Kodi issue

Post by rickNS » Mon Nov 05, 2018 12:40 am

Mazda81 wrote:
Sat Nov 03, 2018 10:28 am
Thanks rickNS
I'll check out the Vbox article, sounds like it might be a good option.
In case you still interested I can confirm that kodi 17.6 runs fine (without errors) on Mint 19. At least on a live stick with persistence. it does.
Mint 18 mate on 2 identical Thinkpad T420's

Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Re: Kodi issue

Post by Mazda81 » Mon Nov 05, 2018 6:55 am

Thanks for the info.
I tested the appliance method by copying my virtualbox Windows 7 installation to another machine and it worked fine. I’m now debating whether to wait for LM19.1 before upgrading.

Mazda81
Level 3
Level 3
Posts: 129
Joined: Thu Aug 20, 2015 8:37 am
Location: UK

Re: Kodi issue

Post by Mazda81 » Thu Nov 08, 2018 5:46 pm

I have just received an update to python cryptography via Update Manager but it says the latest version is 1.2.3:1 not the version 1.7 that Kodi is asking for. Does anyone know why It's not, at least, version 1.7

Post Reply

Return to “Software & Applications”